.\" Process this file with
.\" groff -man -Tascii foo.1
.\"
.TH CTI 1 "SEPTEMBER 2012" Linux "User Manuals"
.SH NAME
cti \- Codelet Tuning Infrastructure
.SH SYNOPSIS
.B cti [--version] [--verbose=3] [--debug] [--help] <plugin UID | alias> 
.I command
.SH DESCRIPTION
.B Most of the time you invoke CTI with parameters
CTI delegates the task to the specified plugin.

You can think of a plugin as about separate tool,
though connected with CTI and uses the all the
advantages of its extensive infrastructure.

For details please read the Specfication page on CTI wiki.

.SH OPTIONS
.IP "--version"
Outputs the current version of CTI.
.IP "--verbose"
TODO : Write documentation.
.IP "--debug"
TODO : Write documentation.
.IP "--help"
Displays the command line syntax along with the list of installed plugins and their description.
.IP "<plugin UID | alias>"
The Unique Identifier (UID) or alias is used to specify, which plugin
CTI should invoke.
.IP "command"
Command specified for a given plugin.
.SH FILES
.I $CTI_ROOT/cfg/config.txt
.RS
User profile configuration file.
.SH ENVIRONMENT
.RE
.I CTI_ROOT
.RS
If non-null the full pathname for CTI installation.
.RE
.I CTI_CFG
.RS
The full pathname to current configuration profile.

.SH UID
.RE
CTI_UID or simply UID is a unique identifier for CTI entries. CTI represents UIDs in the canonical form as 32 hexadecimal digit, in 5 groups separated by hyphens, in the form 8-4-4-4-12.
.RS

.SH CTR
.RE
CTR stands for Codelet Tuning Repository. The general storage of all the information, organized in the hierarchical way. The following layers of repository are available: common, local, temp. Each one has its particular goal, but all of them has the same structure and, simply presented as a directory in the users filesystem.

.SH ENTRY
.RE
Entry is a simplest entity of the repository, referenced by its UID and represented as a directory in a users filesystem. There are two types of entries: data and plugin. Plugin is an active entry, which produces the data entries. Data entries hold heterogenous information, as well as CTI metadata files, represented in JSON format.
.RS

.SH METADATA
.RE
CTI metada files are represented in the JSON format and helps CTI to navigate and manipulate information, inside the entry. Metadata files should always conform the document scheme, setup by the plugin, which produced this entry. Each plugin, producing the data, therefore should have the document scheme, called
.B default
scheme.

.SH "SEE ALSO"
.BR cti-scenarios (1)

.SH AUTHORS

Franck Talbart, Exascale Computing Research Center, France

Mathieu Bordet, Exascale Computing Research Center, France

Nicolas Petit, Exascale Computing Research Center, France

.SH PAST CONTRIBUTORS

Yuriy Kashnikov, Exascale Computing Research Center, France

Pablo Oliveira, Exascale Computing Research Center, France

Mathieu Tribalat, Exascale Computing Research Center, France

.SH COPYRIGHT
 Codelet Tuning Infrastructure
 Copyright (C) 2010-2015 Intel Corporation, CEA, GENCI, and UVSQ

 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
